#
# Test script to exercise the features of typist v2.2
#

*:TEST_1A
B:Test 1a - Tests of simple output commands
T:This text should be appearing at line 2 and below on your screen.
 :The text is simply printed out onto this screen area by the T
 :command.
 :
 :Blank lines are perfectly acceptable.  All printable characters
 :can be used:
 :
 :    qwertyuiopasdfghjklzxcvbnm QWERTYUIOPASDFGHJKLZXCVBNM
 :    1234567890 !@#$%^&*() -_=+\|`~[{]};:'",<.>/?
 :
 :You should now see a 'Press Return to continue..." message at the
 :bottom of the screen.  When you press Return the next screen should
 :appear.
T:This text should appear at line 2 and below, and should be replacing
 :the previous screen of text.  It comes from a T command.


*:TEST_1B
B:Test 1b - Tests of simple output commands
I:This is I.  Only one line (line2) is allowed; blank screen from here:
I:This second I overwrites the first; blank screen from here:


*:TEST_1C
B:Test 1c - Tests of simple output commands
B:The B command writes to this line...
T:
B:Each B command overwrites the preceeding one...
T:
B:
T:Blank B lines are fine; they just clear the screen.  The B is a
 :way of putting up the lesson title, reminders than hang about for
 :several lessons, and so on.
B:Testing blank T commands...
T:
B:Testing blank I commands...
I:
B:Test 1c - Tests of simple output commands
T:Test 1 completed.


*:TEST_2A
B:Test 2a - Tests of typing drills
T:In the next screen, press 'f' four times, then return.  This will
 :complete the drill correctly and you should then be taken to the
 :next part of the tests.  D creates drills.
I:Press 'f' four times, then return.
D:ffff
T:In the next screen, press 'g' four times, then return.  This will
 :fail the drill, and you get to try it again.  The second time,
 :press 'f' four times, then return to complete and move to the
 :next part of the tests.
I:Press 'g' four times, then return, then 'f' four times, then return.
D:ffff
T:In the next screen, press 'g' five times (no return).  Repeat this
 :until the program gets bored and takes you to the next test anyway.
 :You should see inverse ^ showing typing errors, and inverse <
 :showing end-of-line errors.
I:Press 'g' five times, and repeat ad nauseum.
D:ffff
T:In the next drill, use Escape to skip it.
I:Press escape to bypass this drill
D:Bypass me with escape!!!!! !@#$%^&*()_+
T:The smallest drill would be a single newline.  Not very useful,
 :but we can test it.
I:Here is a null drill; just a newline is required
D:
I:Here too is a null drill; first hit space to fail it, then return
D:
T:In the following multi-line drill, type in the strings exactly.
I:Here is a multi-line drill; copy the strings exactly
D:qqqqqqqqqq
 :wwwwwwwwww
 :eeeeeeeeee
 :rrrrrrrrrr
 :tttttttttt
 :yyyyyyyyyy


*:TEST_2B
B:Test 2b - Tests of paragraphs
T:In the next screen, press 'f' four times, then return.  This will
 :complete the speed test correctly and you should then be taken to the
 :next part of the tests.  Your reported errors should be 0%.
 :P creates paragraphs.
I:Press 'f' four times, then return.
P:ffff
T:In the next screen, press 'g' five times.  Your reported errors should
 :be 100%.
I:Press 'g' five times.
P:ffff
T:In the next speed test, use Escape to skip it.
I:Press escape to bypass this speed test
P:Bypass me with escape!!!!! !@#$%^&*()_+
T:The smallest speed test would be a single newline.  Not very useful,
 :but we can test it.  The reported speeds are meaningless...
I:Here is a null speed test; just a newline is required
P:
I:Here too is a null speed test; hit space for 100% errors
P:
T:The following is a multi-line speed test.  Experiment in here with
 :backspace/delete keys (these are actioned except at the start of
 :lines) - notice that errors accumulate despite these.
I:Here is a multi-line speed test
P:qqqqqqqqqq
 :wwwwwwwwww
 :eeeeeeeeee
 :rrrrrrrrrr
 :tttttttttt
 :yyyyyyyyyy
T:Test 2 completed.


*:TEST_3A
B:Test 3a - Goto tests
G:TEST3_1
T:
 :*** IF YOU SEE THIS SCREEN THEN THE GOTO TEST HAS FAILED ***
X:
*:TEST3_1
T:This screen was reached by using a G to go to a label just above
 :it.
*:TEST_3B


B:Test 3b - Query tests
*:TEST3_2
T:The Q: command pops up a query, and the Y and N go to labels
 :depending on the keys pressed.  This allows some very basic selections
 :to be made.  Bindings of function keys onto labels are also handled
 :in queries.
Q: Press Y at this point...
Y:TEST3_3
T:You didn't press Y, did you?
G:TEST3_2
*:TEST3_3
Q:You pressed Y - fine.  Now press N at this point...
N:TEST3_4
T:You didn't press N, did you?
G:TEST3_2
K:1:TEST3_5
*:TEST3_6
Q:You pressed N - fine.  Now press Fkey1 at this point...
T:You didn't press Fkey1, did you?
G:TEST3_6
*:TEST3_5
K:1:NULL
T:You pressed Fkey1 - fine.


*:TEST3_4
T:The Q command only allows Y and N responses - try some other keys before
 :pressing Y or N.  Note that lowercase Y and N are OK, too.
Q:Press some other keys before Y or N...
Y:TEST3_5
N:TEST3_6
T:
 :*** IF YOU SEE THIS SCREEN THEN THE GOTO TEST HAS FAILED ***
*:TEST3_5
T:You pressed Y
G:TEST3_7
*:TEST3_6
T:You pressed N
*:TEST3_7
*:TEST_3C


B:Test 3c - Exit tests
T:Test 3 almost completed.
 :
 :The X command exits the program.  There is one after this screen, so
 :The program should exit as soon as you press Return.
X:
T:
 :*** IF YOU SEE THIS SCREEN THEN THE EXIT TEST HAS FAILED ***


*:EXIT
